# Class GeneIds

java.lang.Object
org.snpeff.reactome.GeneIds

public class GeneIds extends Object
Maps different Gene IDs: - ENSEMBL Gene ID to transcript ID - ENSEMBL Gene ID to Gene Name - ENSEMBL Gene ID to Refseq Gene ID - ENSEMBL Gene ID to Refseq Protein ID

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GeneIds(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`IdMap`
`getId2geneName()`
`IdMap`
`getId2refseqId()`
`IdMap`
`getId2refseqProtId()`
`IdMap`
`getId2tr()`
`protected void`
`load(String fileName)`
Load data from file

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneIds

public GeneIds(String fileName)

## Method Details

### getId2geneName

public IdMap getId2geneName()

### getId2refseqId

public IdMap getId2refseqId()

### getId2refseqProtId

public IdMap getId2refseqProtId()

### getId2tr

public IdMap getId2tr()

### load

protected void load(String fileName)
Load data from file

Parameters:
  `fileName` -